Nimbu Developer Docs
ReferenceConsent

Update a consent cookie

PATCH
/settings/consent/cookies/{id}

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Path Parameters

id*string

Cookie BSON ObjectId

Header Parameters

X-Nimbu-Site*string

Site identifier

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/settings/consent/cookies/string" \  -H "X-Nimbu-Site: string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "name": "string",
  "path": "string",
  "domain": "string",
  "application": "string"
}
{
  "message": "string",
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}